#!/bin/sh

# Copyright (C) 2001  Miklos Reiter (see the file README for details on
# how to contact me)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

# Calls depend.awk for each file in .changed-java-files and then calls
# deepdep.awk to determine from .changed-class-list, which files need
# to be recompiled.
#
# Output: .to-be-recompiled, the list of .java files to be recompiled

awk -f javafile2classlist.awk .changed-java-files >.changed-class-list
find -name '*.java' | awk -f javafile2classlist.awk >.classes

awk '{ system("awk -f depend.awk .classes " $1 " " $2 " >" $3) }' \
.changed-class-list

awk -f deepdep.awk .classes .changed-class-list \
| awk -f classlist2javafile.awk >.to-be-recompiled

rm -f .changed-class-list
rm -f .classes
