/**
 * Copyright (C) 2001  Paul Evans (see the file README for details on how
 * to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package noope.input;

/**
 * A class used to hold the full information about a position in the
 * StringBlockReader.
 *
 * @author Paul Evans
 * @version June 2001
 */
public class StringBlockReaderContext extends BlockReaderContext
{
    private int lineNum, charNum;
    private String token;

    StringBlockReaderContext(int new_lineNum, int new_charNum, String new_token)
    {
	lineNum = new_lineNum;
	charNum = new_charNum;
	token = new_token;
    }

    public String toString()
    {
	return "on line " + lineNum + " at character position " + charNum + "; the token is \"" + token + "\"";
    }
}
