/**
 * Copyright (C) 2001  Paul Evans (see the file README for details on how
 * to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package noope.input;

/**
 *
 * Class used to hold some identification of a position in the
 * StringBlockReader. Can be converted to a full context using its
 * or the StringBlockReader's method.
 *
 * @author Paul Evans
 * @version June 2001
 */

public class StringBlockReaderLocation extends BlockReaderLocation
{
    private StringBlockReader topLevel;
    private int posFromStart;

    StringBlockReaderLocation(StringBlockReader new_topLevel, int new_posFromStart)
    {
	topLevel = new_topLevel;
	posFromStart = new_posFromStart;
    }

    // package level so StringBlockReader can see it
    int getPosFromStart()
    {
	return posFromStart;
    }

    public String toString()
    {
	return posFromStart + " characters from start string";
    }

    public BlockReaderContext convertToContext()
    {
	return topLevel.convertContext(posFromStart);
    }
}
